/**************************************************************************/
/* Erstellen eines Icons fr MyIP                                  v1.35  */
/* Autor      : Thomas Nolte   (24.08.98)                                 */
/* Funktion   : Erstellt ein Programm-Symbol auf der Arbeitsoberflche    */
/*              fr das Programm "MyIP", welches die aktuelle ffentliche */
/*              IP-Adresse ermittelt, angelegt.                           */
/*              Auf Wunsch wird ein Objekt mit aktivierter Protokoll-     */
/*              erstellung angelegt.                                      */
/* nderungen : - Einbindung einer Fehlerbehandlung           (24.08.98)  */
/*              - jedes Programm erhlt eine Objekt-ID        (27.10.99)  */
/*              - Objektkonfiguration berarbeitet            (12.01.01)  */
/*              - spez. Version fr versch. Konfigurationen   (03.05.05)  */
/**************************************************************************/

/* Standard REXX-Utilities */
call RxFuncAdd 'SysLoadFuncs' , 'REXXUTIL' , 'SysLoadFuncs'
call SysLoadFuncs

/* Signal-Bearbeitung */
SIGNAL ON halt NAME Abbruch

/* ANSI-Farben definieren */
Esc=d2c(27)d2c(91)    /* ESC-Zeichen */
/* Attribute */
Bli=esc'5m'           /* blinkend */
Hig=esc'1m'           /* hell */
Non=esc'0m'           /* normal */
Uns=esc'8m'           /* unsichtbar */
/* Vordergrund-Farbe */
Bla=esc'30m'          /* Schwarz */
Red=esc'31m'          /* Rot */
Gre=esc'32m'          /* Grn */
Bro=esc'33m'          /* Gelb */
Blu=esc'34m'          /* Blau */
Cya=esc'35m'          /* Cyan */
Tur=esc'36m'          /* Trkis */
Whi=esc'37m'          /* Wei */
LBla=Hig||esc'30m'    /* Grau*/
LRed=Hig||esc'31m'    /* hell Rot */
LGre=Hig||esc'32m'    /* hell Grn */
LBro=Hig||esc'33m'    /* hell Gelb*/
LBlu=Hig||esc'34m'    /* hell Blau*/
LCya=Hig||esc'35m'    /* hell Cyan*/
LTur=Hig||esc'36m'    /* hell Trlis*/
LWhi=Hig||esc'37m'    /* hell Wei */
/* Hintergrund-Farbe */
BBla=esc'40m'         /* Schwarz */
BRed=esc'41m'         /* Rot */
BGre=esc'42m'         /* Grn */
BBro=esc'43m'         /* Gelb */
BBlu=esc'44m'         /* Blau */
BCya=esc'45m'         /* Cyan */
BTur=esc'46m'         /* Trkis */
BWhi=esc'47m'         /* Wei */

/* Farben einstellen */
say BBla||LTur
call syscls

/* Variablen-Definition */
ProgramName = 'MYIP.EXE'
IconDatei = 'MYIP.ICO'

/* Startmaske */
call SysCls
say LTur" "
say LTur" "
say LTur"        Ŀ"
say LTur"                       Installationsscript                "
say LTur"              MyIP                   Datum: "LBro||DATE('E')||LTur"      "
say LTur"        "
say LTur" "
say LTur" "
say LTur"                 Ŀ"
say LTur"                 M  MyIP (Standard)"
say LTur"                 "
say LTur"                 Ŀ"
say LTur"                 L  MyIP mit Protokollierung"
say LTur"                 "
say LTur" "
say LTur" "
call charout ,Non||Whi"Bitte gewnschte Installation angeben (X = Abbruch): "LGre
InstProg = TRANSLATE(SysGetKey())
say LTur" "
say LTur" "

if InstProg = 'X' then
   do 
      say LBro" "
      say LBro"         Ŀ"
      say LBro"          Es werden keine Icons angelegt - Programmende ! "
      say LBro"         "
      say LTur" "
      say LTur" "
      say BBla||Non||Whi
      exit
   end /* do */

say LTur"Desktop-Icon wird eingerichtet..."
say LTur" "
call syssleep 1

/* Programm suchen */
RC = SysFileTree(ProgramName,"Ergebnis","FSO")

if Ergebnis.0 = 0 then
   do
      say LRed" "
      say LRed" "
      say LRed"           Ŀ"
      say LRed"            !!! Datei nicht gefunden - Programmende !!! "
      say LRed"           "
      say LRed" "
      say LRed" "
      say BBla||Non||Whi
      call syssleep 3
      exit
   end

/* Programm-Icon suchen */
RC = SysFileTree(IconDatei,"IconFile","FO")

if IconFile.0 = '0' then
   do
      say LBro" "
      say LBro" "
      say LBro"        Ŀ"
      say LBro"         Icon-Datei nicht gefunden - erzeuge Standard-Icon! "
      say LBro"        "
      say LBro" "
      say LBro" "
      ProgIcon = ''
   end
else
   do
     ProgIcon = IconDatei
   end

/* Konfiguration fr Objekt */
Klasse = 'WPProgram'
Titel = "MyIP"
Ziel = '<WP_DESKTOP>'
ObjektName = '<TT_MYIP>'
if ProgIcon = '' then
   do 
      if InstProg = 'L' then
         Option = 'OBJECTID='ObjektName';EXENAME='Ergebnis.1';PARAMETERS=/L'
      else
         Option = 'OBJECTID='ObjektName';EXENAME='Ergebnis.1
   end /* do */
else
   do 
      if InstProg = 'L' then
         Option = 'OBJECTID='ObjektName';EXENAME='Ergebnis.1';PARAMETERS=/L;ICONFILE='ProgIcon
      else
         Option = 'OBJECTID='ObjektName';EXENAME='Ergebnis.1';ICONFILE='ProgIcon
   end /* do */
Aktion = 'R'

/* Erzeugen des Objekts */
RC = SysCreateObject(Klasse,Titel,Ziel,Option,Aktion)

if RC = '0' then
   do
      say LRed" "
      say LRed"--> Symbol fr "LGre||Ergebnis.1||LRed" konnte nicht erstellt werden!"
      say LRed" "
      say LRed" "
   end
else
   do
      say LBro" "
      say LBro"--> Symbol fr "LGre||Ergebnis.1||LBro" erfolgreich erstellt!"
      say LBro" "
      say LBro" "
   end

say BBla||Non||Whi

EXIT

Abbruch:
say LWhi" "
say LWhi" "
say LWhi"Programm durch "LCya"STRG"LWhi" + "LCya"C"LWhi" abgebrochen!"
say LWhi" "
say LWhi" "
say BBLa||Non||Whi
exit
