/**************************************************************************/
/* Abfrage der Belegung der lokalen Laufwerke                       v1.0  */
/* Autor      : Thomas Nolte   (20.07.2001)                               */
/* Funktion   : Zeigt die Belegung der lokalen Festplatten-Partitionen    */
/*              an. Zustzlich wird der Name des Laufwerks und der freie  */
/*              Platz in Prozent angegeben.                               */
/* nderungen : -                                             (  .  .  )  */
/**************************************************************************/

if RxFuncQuery('SysLoadFuncs') then
   call RxFuncAdd 'SysLoadFuncs','REXXUTIL','SysLoadFuncs'
call SysLoadFuncs

/* Abfrage der Laufwerksbelegung */
Lokale_LW = SysDriveMap('C:','LOCAL')

if words(Lokale_LW) > 0 then
   do 
      say LEFT('Laufwerk',11,' ')||LEFT('Bezeichnung',18,' ')||RIGHT('Bytes frei',15,' ')||RIGHT('Bytes gesamt',15,' ')||RIGHT('% frei',9,' ')
      say "--------------------------------------------------------------------"
      do i=1 to words(Lokale_LW)
         Platz = SysDriveInfo(word(Lokale_LW,i))
         if words(Platz) = 0 then
            say LEFT(word(Lokale_LW,i),11,' ')'<CD-ROM-Laufwerk>'
         else
            do 
               Frei = TRUNC((word(Platz,2)/word(Platz,3)*100),2)
               say LEFT(word(Platz,1),11,' ')||LEFT(word(Platz,4),18,' ')||RIGHT(word(Platz,2),15,' ')||RIGHT(word(Platz,3),15,' ')||RIGHT(Frei,9,' ')
            end /* do */
      end /* do */
   end /* do */
else
   do 
      say "Es stehen keine Laufwerke zur Verfgung!"
   end /* do */

EXIT
