/**************************************************************************/
/* Abfrage der Fensterliste und Vergleich mit Standard              v1.1  */
/* Autor      : Thomas Nolte   (13.07.2001)                               */
/* Funktion   : Erstellt beim ersten Aufruf eine Standard-Fensterliste    */
/*              und vergleicht diese bei jedem weiteren Aufruf mit der    */
/*              aktuellen Fensterliste.                                   */
/*              Es wird die REXX-Zusatzbibliothek PR1UTIL.DLL bentigt.   */
/*              Hinweis: Bei ferner Ausfhrung muss sich die o.g. DLL     */
/*                       im LIBPATH befinden. Desweiteren werden die      */
/*                       Fensterlisten im Verzeichnis ?:\IBMLAN\NETPROG   */
/*                       abgelegt.                                        */
/* nderungen : - PR1UTIL.DLL wird nicht mehr entladen        (14.09.01)  */
/**************************************************************************/

if RxFuncQuery('SysLoadFuncs') then
   call RxFuncAdd 'SysLoadFuncs','REXXUTIL','SysLoadFuncs'
call SysLoadFuncs

/* Laden spezieller Zusatzfunktionen */
call RxFuncAdd 'PRLoadFuncs', 'PR1UTIL', 'PRLoadFuncs'
call PRLoadFuncs

/* Variablen */
StdDatei = 'SWTCHLST.STD'
TmpDatei = 'SWTCHLST.TMP'

/* Lschen der Temp-Datei */
call SysFileDelete(TmpDatei)

/* Abfrage der Fensterliste */
call PRQuerySwitchList(FListe)

/* Suche Vergleichsdatei */
call SysFileTree StdDatei,"FoundStd","FO"

if FoundStd.0 = 0 then
   do 
      do i=1 to FListe.0
         call lineout StdDatei,FListe.i.title
      end /* do */
      call lineout(StdDatei)
      say "Keine Vergleichsdatei vorhanden."
      say "Es wurde eine neue Vergleichsdatei erstellt!"
      exit
   end /* do */
else
   do 
      /* Speichern der aktuellen Fensterliste */
      if FListe.0 > 0 then
         do 
            do i=1 to FListe.0
               call lineout TmpDatei,FListe.i.title
            end /* do */
            call lineout(TmpDatei)

            /* Laden der Standard-Fensterliste und Vergleich mit aktueller Liste */
            do while lines(StdDatei)
               Zeile = linein(StdDatei,,1)
               if words(Zeile) > 0 then
                  do 
                     call SysFileSearch Zeile,TmpDatei,FoundProgStd
                     if FoundProgStd.0 = 0 then
                        say "Programm '"Zeile"' nicht aktiv!"
                  end /* do */
            end /* do */

            call lineout(StdDatei)
            call lineout(TmpDatei)

            /* Laden der aktuellen Fensterliste und Vergleich mit Standard-Liste */
            do while lines(TmpDatei)
               Zeile = linein(TmpDatei,,1)
               if words(Zeile) > 0 then
                  do 
                     call SysFileSearch Zeile,StdDatei,FoundProgTmp
                     if FoundProgTmp.0 = 0 then
                        say "Programm '"Zeile"' ist zustzlich aktiv!"
                  end /* do */
            end /* do */

            call lineout(StdDatei)
            call lineout(TmpDatei)

         end /* do */
      else
         say "Keine Eintrge in der aktuellen Fensterliste!"

   end /* do */

EXIT
