/**************************************************************************/
/* Anzeige der Uptime des lokalen Rechners                          v1.1  */
/* Autor      : Thomas Nolte   (24.08.2001)                               */
/* Funktion   : Zeigt die Laufzeit seit dem letzten Systemstart an. Zur   */
/*              Bestimmung der Uptime wird die Funktion DosQuerySysInfo() */
/*              verwendet. Diese sollte unter allen OS/2-Versionen ab     */
/*              OS/2 v2.x funktionieren.                                  */
/* nderungen : - Erst Timer, bei Fehlschlag ms-Zhler        (27.08.01)  */
/**************************************************************************/

if RxFuncQuery('SysLoadFuncs') then
   call RxFuncAdd 'SysLoadFuncs','REXXUTIL','SysLoadFuncs'
call SysLoadFuncs

/* Laden der Uptime-Zusatzbibliothek */   
call RxFuncAdd 'RxLoadUptime','RxUptime','RxLoadUptime'
call RxLoadUptime

/* Einstellungen der Genauigkeit beim Rechnen */
numeric digits 15

/* Variablen */
tmTString = ''
msTString = ''
RC_tm = '1'
RC_ms = '1'

/* Timer abfragen */
tmFreq=RxTmrFreq()

if tmFreq <> -1 then
   do 
      call TimerZeit
      call MillisekZeit
   end /* do */
else
   call MillisekZeit

/* Ausgabe der Uptime */
if RC_tm = 0 then
   say "Uptime (Timer-Abfrage): "tmTString
if RC_ms = 0 then
   say "Uptime (Millisekunden): "msTString
if RC_tm <> 0 & RC_ms <> 0 then
   say "Die Uptime des Rechners konnte nicht bestimmt werden!"

EXIT

TimerZeit:
/* Timer-Zeit abfragen */
tmTime=RxTmrTime()

if tmTime <> -1 then
   do 
      /* Umwandlung in Sekunden */
      tmHi=word(tmTime,1)
      tmLo=word(tmTime,2)
      tmSeconds=((tmHi*2**32)+tmLo)/tmFreq

      /* Aufteilung nach Tag, Stunde, Minute und Sekunde */
      tmDays=tmSeconds%86400
      tmSeconds=tmSeconds//86400
      tmHours=tmSeconds%3600
      tmSeconds=tmSeconds//3600
      tmMinutes=tmSeconds%60
      tmSeconds=tmSeconds//60

      /* Uptime-Angabe formatieren */
      tmTString=right(tmDays,4,'0')||':'||right(tmHours,2,'0')||':'||right(tmMinutes,2,'0')||':'||right(format(tmSeconds,,0),2,'0')

      /* Return-Code festlegen */
      RC_tm = 0
   end /* do */
else
   RC_tm = 1

return

MillisekZeit:
/* Millisekunden-Zhler abfragen */
msCount=RxMSCount()

if msCount <> -1 then
   do 
      /* Umwandlung in Sekunden */
      msSeconds=msCount/1000

      /* Aufteilung nach Tag, Stunde, Minute und Sekunde */
      msDays=msSeconds%86400
      msSeconds=msSeconds//86400
      msHours=msSeconds%3600
      msSeconds=msSeconds//3600
      msMinutes=msSeconds%60
      msSeconds=msSeconds//60

      /* Uptime-Angabe formatieren */
      msTString=right(msDays,4,'0')||':'||right(msHours,2,'0')||':'||right(msMinutes,2,'0')||':'||right(format(msSeconds,,0),2,'0')

      /* Return-Code festlegen */
      RC_ms = 0
   end /* do */
else
   RC_ms = 1

return

